--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: EntryStreams are pseudo-streams on top of the main data stream.
constants: []

full_name: Archive::Tar::Minitar::Reader::EntryStream
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: bytes_read
- !ruby/object:RI::MethodSummary 
  name: close
- !ruby/object:RI::MethodSummary 
  name: directory
- !ruby/object:RI::MethodSummary 
  name: directory?
- !ruby/object:RI::MethodSummary 
  name: eof?
- !ruby/object:RI::MethodSummary 
  name: file
- !ruby/object:RI::MethodSummary 
  name: file?
- !ruby/object:RI::MethodSummary 
  name: full_name
- !ruby/object:RI::MethodSummary 
  name: getc
- !ruby/object:RI::MethodSummary 
  name: pos
- !ruby/object:RI::MethodSummary 
  name: read
- !ruby/object:RI::MethodSummary 
  name: rewind
name: EntryStream
superclass: Object
